Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jms
Class InvalidClientIDException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jms.JMSException
                  javax.jms.InvalidClientIDException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidClientIDException
extends JMSException

This exception must be thrown when a client attempts to set a connection's client ID to a value that is rejected by a provider.

Version:
  26 August 1998
Author:
  Rahul Sharma
See Also:
  Serialized Form

Constructor Summary
`InvalidClientIDException(java.lang.String reason)` Constructs an `InvalidClientIDException` with the specified reason.
`InvalidClientIDException(java.lang.String reason, java.lang.String errorCode)` Constructs an `InvalidClientIDException` with the specified reason and error code.

Methods inherited from class javax.jms.JMSException
`getErrorCode, getLinkedException, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidClientIDException

    public InvalidClientIDException(java.lang.String reason,
                                    java.lang.String errorCode)

  Constructs an `InvalidClientIDException` with the specified reason and error code.

Parameters:
  `reason` - a description of the exception
  `errorCode` - a string specifying the vendor-specific error code

### InvalidClientIDException

    public InvalidClientIDException(java.lang.String reason)

  Constructs an `InvalidClientIDException` with the specified reason. The error code defaults to null.

Parameters:
  `reason` - a description of the exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.